## autopep8 1.3.4

=== Makefile ===
all:
	@echo "make test(test_basic, test_diff, test_unit)"
	@echo "make fasttest"
	@echo "make benchmark"
	@echo "make pypireg"
	@echo "make coverage"
	@echo "make check"
	@echo "make clean"

PYTHON?=python
COVERAGE?=coverage

TEST_DIR=test

test: test_basic test_diff test_unit
fasttest: test_fast

test_basic:
	@echo '--->  Running basic test'
	@${PYTHON} autopep8.py --aggressive test/example.py > .tmp.test.py
	pycodestyle --repeat .tmp.test.py
	@rm .tmp.test.py

test_diff:
	@echo '--->  Running --diff test'
	@cp test/example.py .tmp.example.py
	@${PYTHON} autopep8.py --aggressive --diff .tmp.example.py > .tmp.example.py.patch
	patch < .tmp.example.py.patch
	@rm .tmp.example.py.patch
	pycodestyle --repeat .tmp.example.py && ${PYTHON} -m py_compile .tmp.example.py
	@rm .tmp.example.py

test_unit:
	@echo '--->  Running unit tests'
	@${PYTHON} test/test_autopep8.py

test_fast:
	@echo '[run]' > .pytest.coveragerc
	@echo 'branch = True' >> .pytest.coveragerc
	@echo 'omit = "*/site-packages/*"' >> .pytest.coveragerc
	@echo '[report]' >> .pytest.coveragerc
	@echo 'include = autopep8.py' >> .pytest.coveragerc
	@AUTOPEP8_COVERAGE=1 py.test -n4 --cov-config .pytest.coveragerc \
		--cov-report term-missing --cov autopep8 test/test_autopep8.py
	@rm .pytest.coveragerc .coverage

coverage:
	@coverage erase
	@AUTOPEP8_COVERAGE=1 ${COVERAGE} run --branch --parallel-mode --omit='*/site-packages/*' test/test_autopep8.py
	@${COVERAGE} combine
	@${COVERAGE} report --show-missing
	@${COVERAGE} xml --include=autopep8.py

open_coverage: coverage
	@${COVERAGE} html
	@python -m webbrowser -n "file://${PWD}/htmlcov/index.html"

benchmark:
	@echo '--->  Benchmark of autopep8.py test/example.py'
	@time ${PYTHON} autopep8.py --aggressive test/example.py > /dev/null
	@echo '--->  Benchmark of test_unit'
	@time ${PYTHON} test/test_autopep8.py > /dev/null
	@echo '--->  Benchmark of autopep8.py -d test/*.py'
	@time ${PYTHON} autopep8.py -d test/*.py > /dev/null

readme:
	@${PYTHON} update_readme.py
	@rstcheck README.rst
	@${PYTHON} -m doctest -v README.rst

open_readme: readme
	@python -m webbrowser -n "file://${PWD}/README.html"

check:
	pycodestyle \
		--ignore=E402 \
		autopep8.py setup.py test/acid.py test/acid_pypi.py update_readme.py
	pylint \
		--reports=no \
		--msg-template='{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}' \
		--disable=bad-builtin \
		--disable=bad-continuation \
		--disable=fixme \
		--disable=import-error \
		--disable=invalid-name \
		--disable=locally-disabled \
		--disable=missing-docstring \
		--disable=no-member \
		--disable=no-self-use \
		--disable=not-callable \
		--disable=protected-access \
		--disable=redefined-builtin \
		--disable=star-args \
		--disable=super-on-old-class \
		--disable=too-few-public-methods \
		--disable=too-many-arguments \
		--disable=too-many-boolean-expressions \
		--disable=too-many-branches \
		--disable=too-many-instance-attributes \
		--disable=too-many-lines \
		--disable=too-many-locals \
		--disable=too-many-nested-blocks \
		--disable=too-many-public-methods \
		--disable=too-many-statements \
		--disable=undefined-loop-variable \
		--rcfile=/dev/null autopep8.py setup.py update_readme.py
	pylint \
		--reports=no \
		--msg-template='{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}' \
		--errors-only \
		--disable=no-member \
		--rcfile=/dev/null \
		test/acid.py test/acid_pypi.py test/test_autopep8.py
	./autopep8.py --diff autopep8.py setup.py test/test_autopep8.py update_readme.py

mutant:
	@mut.py --disable-operator RIL -t autopep8 -u test.test_autopep8 -mc

pypireg:
	${PYTHON} setup.py register
	${PYTHON} setup.py sdist upload

clean:
	rm -rf .tmp.test.py temp *.pyc *egg-info dist build \
		__pycache__ */__pycache__ */*/__pycache__ \
		htmlcov coverage.xml

.PHONY: \
	all clean mutant pypireg test_basic test_unit \
	benchmark coverage open_coverage readme test_diff \
	check fasttest open_readme test test_fast

## autopep8 0.9.1

=== debian/changelog ===
autopep8 (0.9.1-2) unstable; urgency=low

  * Update package short description to be correct (Closes: #711960)
  * Set version depends on pep8 (Closes: #712084)

 -- Micah Anderson <micah@debian.org>  Wed, 12 Jun 2013 16:46:32 -0400

autopep8 (0.9.1-1) unstable; urgency=low

  * Upgrade to new version (Closes: #710681)
  * Fix copyright

 -- Micah Anderson <micah@debian.org>  Tue, 11 Jun 2013 09:11:44 -0400

autopep8 (0.8.7-2) unstable; urgency=low

  * Remove full GPLv3 text from debian/copyright, point to common-licenses

 -- Micah Anderson <micah@debian.org>  Thu, 09 May 2013 15:32:52 -0400

autopep8 (0.8.7-1) unstable; urgency=low

  * Initial package (Closes: #707615)

 -- Micah Anderson <micah@debian.org>  Wed, 08 May 2013 14:35:49 -0400

=== debian/control ===
Source: autopep8
Maintainer: Micah Anderson <micah@debian.org>
Section: python
Priority: optional
Build-Depends: python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), debhelper (>= 7.4.3)
Standards-Version: 3.9.4
Homepage: https://pypi.python.org/pypi/autopep8/

Package: python-autopep8
Architecture: all
Depends: pep8 (>= 1.4.5), ${misc:Depends}, ${python:Depends}
Description: tool that automatically formats Python code to conform to PEP 8
 autopep8 automatically formats Python code to conform to the PEP 8 style
 guide. It uses the pep8 utility to determine what parts of the code needs to
 be formatted. autopep8 is capable of fixing most of the formatting issues that
 can be reported by pep8.

## autopep8 1.3.4

=== debian/changelog ===
autopep8 (1.3.4-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 01 Feb 2018 20:31:10 +0100

autopep8 (1.3.3-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version updated to 4.1.1

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 24 Oct 2017 15:21:00 +0200

autopep8 (1.3.2-1) unstable; urgency=medium

  * Upload in unstable
  * Standards-Version updated to 4.1.0
  * Make the build reproducible
    Thanks to Chris Lamb for the patch (Closes: #870131

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 29 Aug 2017 09:14:17 +0200

autopep8 (1.3.2-1~exp1) experimental; urgency=medium

  * New upstream release (Closes: #806790)
  * Repo moved to git with the NMU (Closes: #848273)
  * Moved to the python team umbrella and me as maintainer
  * Update the min dep of pycodestyle
  * Vcs-Git & Vcs-Browser
  * Standards-Version updated 4.0.0
  * Add a manpage (Closes: #864167)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 19 Jun 2017 22:33:35 +0200

autopep8 (0.9.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Bumped DH level to 10.
  * debian/control:
      - Added the python-pkg-resources to Depends field. Thanks to
        Sebastian Ramacher. (Closes: #843977)
      - Added the python-pep8 and removed the pep8 from Depends field.
        Thanks to Antonio Ospite and Merlijn van Deen.
        (Closes: #817860, LP: #1635192)
      - Bumped Standards-Version to 3.9.8.
  * debian/copyright: removed a duplicate 'Copyright' word.
  * debian/watch: created.

 -- Daniele Adriana Goulart Lopes <danydrik@yahoo.com.br>  Wed, 14 Dec 2016 16:04:25 -0200

=== debian/control ===
Source: autopep8
Maintainer: Sylvestre Ledru <sylvestre@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Section: python
Priority: optional
Build-Depends: python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3),
 debhelper (>= 10), pycodestyle, python-pycodestyle (>= 2.3.1), dh-python,
 help2man
Standards-Version: 4.1.3
Homepage: https://pypi.python.org/pypi/autopep8/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/autopep8.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/autopep8.git

Package: python-autopep8
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-pep8, python-pkg-resources
Description: tool that automatically formats Python code to conform to PEP 8
 autopep8 automatically formats Python code to conform to the PEP 8 style
 guide. It uses the pep8 utility to determine what parts of the code needs to
 be formatted. autopep8 is capable of fixing most of the formatting issues that
 can be reported by pep8.

=== debian/rules ===
#!/usr/bin/make -f
VERSION = $(shell dpkg-parsechangelog |  sed -rne "s,^Version: ([0-9.]+)(~|-)(.*),\1,p")

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_installdocs:
	help2man --name=autopep8  --version-string=$(VERSION) "python autopep8.py" > debian/autopep8.1
	dh_installdocs

#override_dh_auto_test:
#	make test
#	dh_auto_test

override_dh_clean:
	rm -f debian/*.1
	dh_clean

## autopep8 1.3.5

=== debian/changelog ===
autopep8 (1.3.5-2) unstable; urgency=medium

  * Created the new package python3-autopep8. Closes: #875906

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 15 May 2018 18:18:28 +0200

autopep8 (1.3.5-1) unstable; urgency=medium

  * New upstream release

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 08 Apr 2018 17:46:11 +0200

=== debian/control ===
Source: autopep8
Maintainer: Sylvestre Ledru <sylvestre@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Section: python
Priority: optional
Build-Depends: python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3),
 python3-setuptools, python3-all,
 debhelper (>= 10), pycodestyle, python-pycodestyle (>= 2.3.1), dh-python,
 help2man
Standards-Version: 4.1.4
Homepage: https://pypi.python.org/pypi/autopep8/
Vcs-Git: https://salsa.debian.org/python-team/modules/autopep8.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/autopep8
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.5

Package: python-autopep8
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-pep8,
 python-pkg-resources
Description: tool that automatically formats Python code to conform to PEP 8
 autopep8 automatically formats Python code to conform to the PEP 8 style
 guide. It uses the pep8 utility to determine what parts of the code needs to
 be formatted. autopep8 is capable of fixing most of the formatting issues that
 can be reported by pep8. This package is for Python2.

Package: python3-autopep8
Architecture: all
# the recommends is to get /usr/bin/autopep8
Recommends: python-autopep8
Depends: ${misc:Depends}, ${python3:Depends}, python3-pep8,
 python3-pkg-resources
Description: tool that automatically formats Python code to conform to PEP 8
 autopep8 automatically formats Python code to conform to the PEP 8 style
 guide. It uses the pep8 utility to determine what parts of the code needs to
 be formatted. autopep8 is capable of fixing most of the formatting issues that
 can be reported by pep8. This package is for Python3.

## autopep8 1.4

=== debian/changelog ===
autopep8 (1.4-1) unstable; urgency=medium

  * new upstream release
  * Standards-Version: 4.2.1

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 08 Sep 2018 11:58:59 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,10 @@
  python3-setuptools, python3-all,
  debhelper (>= 10), pycodestyle, python-pycodestyle (>= 2.3.1), dh-python,
  help2man
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://pypi.python.org/pypi/autopep8/
 Vcs-Git: https://salsa.debian.org/python-team/modules/autopep8.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/autopep8
-X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.5
 
 Package: python-autopep8

## autopep8 1.4.2

=== debian/changelog ===
autopep8 (1.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 26 Oct 2018 09:39:08 +0200

autopep8 (1.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 19 Oct 2018 14:31:09 +0200

## autopep8 1.4.3

=== debian/changelog ===
autopep8 (1.4.3-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 15 Nov 2018 13:59:04 +0100

=== debian/control ===
--- 
+++ 
@@ -34,4 +34,3 @@
  guide. It uses the pep8 utility to determine what parts of the code needs to
  be formatted. autopep8 is capable of fixing most of the formatting issues that
  can be reported by pep8. This package is for Python3.
-

## autopep8 1.4.4

=== debian/changelog ===
autopep8 (1.4.4-1) unstable; urgency=medium

  * Upload to unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 07 Jul 2019 09:47:05 +0200

autopep8 (1.4.4-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 20 Apr 2019 20:31:52 +0200

## autopep8 1.5

=== Makefile ===
--- 
+++ 
@@ -73,8 +73,10 @@
 
 check:
 	pycodestyle \
-		--ignore=E402 \
+		--ignore=E402,E226,E24,W50 \
 		autopep8.py setup.py test/acid.py test/acid_pypi.py update_readme.py
+	pycodestyle \
+		--max-line-length=300 test/test_autopep8.py
 	pylint \
 		--reports=no \
 		--msg-template='{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}' \

=== debian/changelog ===
autopep8 (1.5-1) unstable; urgency=medium

  * New upstream rlease
  * Update the dependency to pycodestyle the py3 version
    (Closes: #936169)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 22 Jan 2020 14:30:46 +0100

autopep8 (1.4.4-3) unstable; urgency=medium

  * Add missing breaks/replaces (Closes: #945950)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 01 Dec 2019 19:10:50 +0100

autopep8 (1.4.4-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/control: Remove ancient X-Python3-Version field.

  [ Nicholas D Steeves ]
  * Drop bin:python-autopep8, its Build-Depends, and all Python 2
    references in rules. (Closes: #936169)
  * rules: Allow bin:python3-autopep8 to install to /usr/bin.  This
    bin:package now provides /usr/bin/autopep8. (Closes: #909812)
  * Drop Recommends: python-autopep8 from bin:python3-autopep8.
    (Closes: #939051)
  * Drop python3-autopep8.lintian-overrides, which the previous two
    actions make unnecessary.
  * Move python-autopep8.manpages to python3-autopep8.manpages.
  * Switch buildsystem from python_distutils to pybuild.  The package
    FTBFS without this, because of missing X-Python3-Version or
    debian/pyversions, and in the long-term the switch to pybuild is
    probably necessary.  Also, drop the overrides in rules that are
    obsolesced by this action.
  * Add build-dep on dh-sequence-python3.
  * Add python3-lib2to3 as a dependency for bin:python3-autopep8.  I'm not
    sure why it wasn't autodetected, but /usr/bin/autopep8 fails without
    this.

 -- Ondřej Nový <onovy@debian.org>  Sat, 20 Jul 2019 00:35:32 +0200

=== debian/control ===
Source: autopep8
Maintainer: Sylvestre Ledru <sylvestre@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Section: python
Priority: optional
Build-Depends: python3-setuptools, python3-all, dh-sequence-python3,
 debhelper-compat (= 10), pycodestyle, python3-pycodestyle (>= 2.3.1), dh-python,
 help2man
Standards-Version: 4.2.1
Homepage: https://pypi.python.org/pypi/autopep8/
Vcs-Git: https://salsa.debian.org/python-team/modules/autopep8.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/autopep8

Package: python3-autopep8
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-pep8,
 python3-pkg-resources,
 python3-lib2to3
Breaks: python-autopep8 (<< 1.4.4-2)
Replaces: python-autopep8 (<< 1.4.4-2)
Description: tool that automatically formats Python code to conform to PEP 8
 autopep8 automatically formats Python code to conform to the PEP 8 style
 guide. It uses the pep8 utility to determine what parts of the code needs to
 be formatted. autopep8 is capable of fixing most of the formatting issues that
 can be reported by pep8. This package is for Python3.

=== debian/watch ===
version=4
https://github.com/hhatto/autopep8/releases /hhatto/autopep8/archive/(?:v|ver)?(\d\S+)\.tar\.(?:bz2|gz|xz)

## autopep8 1.5.4

=== debian/changelog ===
autopep8 (1.5.4-1) unstable; urgency=low

  * New upstream release

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 10 Aug 2020 10:35:28 +0200

autopep8 (1.5.3-2) unstable; urgency=medium

  * Upload to unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 16 Jun 2020 10:04:40 +0200

autopep8 (1.5.3-1) experimental; urgency=medium

  * New upstream release
    python3-toml is now a build dep

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 15 Jun 2020 22:12:58 +0200

autopep8 (1.5.2-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 10 May 2020 13:50:35 +0200

autopep8 (1.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 11 Apr 2020 13:03:05 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Section: python
 Priority: optional
 Build-Depends: python3-setuptools, python3-all, dh-sequence-python3,
- debhelper-compat (= 10), pycodestyle, python3-pycodestyle (>= 2.3.1), dh-python,
- help2man
+ debhelper-compat (= 12), pycodestyle, python3-pycodestyle (>= 2.3.1), dh-python,
+ help2man, python3-toml
 Standards-Version: 4.2.1
 Homepage: https://pypi.python.org/pypi/autopep8/
 Vcs-Git: https://salsa.debian.org/python-team/modules/autopep8.git

## autopep8 1.5.5

=== debian/changelog ===
autopep8 (1.5.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Sylvestre Ledru ]
  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 04 Feb 2021 11:16:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: autopep8
 Maintainer: Sylvestre Ledru <sylvestre@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Section: python
 Priority: optional
 Build-Depends: python3-setuptools, python3-all, dh-sequence-python3,
@@ -8,8 +8,8 @@
  help2man, python3-toml
 Standards-Version: 4.2.1
 Homepage: https://pypi.python.org/pypi/autopep8/
-Vcs-Git: https://salsa.debian.org/python-team/modules/autopep8.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/autopep8
+Vcs-Git: https://salsa.debian.org/python-team/packages/autopep8.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/autopep8
 
 Package: python3-autopep8
 Architecture: all

## autopep8 1.6.0

=== debian/changelog ===
autopep8 (1.6.0-1) unstable; urgency=medium

  * New upstream release
  * Fix 'pypi-homepage'

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 07 Nov 2021 12:15:44 +0100

autopep8 (1.5.7-1) unstable; urgency=medium

  * Upload to unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 21 Aug 2021 20:12:36 +0200

autopep8 (1.5.7-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 03 May 2021 21:38:17 +0200

autopep8 (1.5.6-1~exp1) experimental; urgency=medium

  * New upstream release
  * Update of the watch file

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 22 Mar 2021 23:20:45 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper-compat (= 12), pycodestyle, python3-pycodestyle (>= 2.3.1), dh-python,
  help2man, python3-toml
 Standards-Version: 4.2.1
-Homepage: https://pypi.python.org/pypi/autopep8/
+Homepage: https://github.com/hhatto/autopep8
 Vcs-Git: https://salsa.debian.org/python-team/packages/autopep8.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/autopep8

## autopep8 1.7.0

=== debian/changelog ===
autopep8 (1.7.0-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 11 Aug 2022 15:37:48 +0200

## autopep8 2.0.0

=== debian/changelog ===
autopep8 (2.0.0-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/lower-pycodestyle.diff (no longer needed)
  * Bump debhelper from old 12 to 13.

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 02 Nov 2022 23:31:23 -0000

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Section: python
 Priority: optional
 Build-Depends: python3-setuptools, python3-all, dh-sequence-python3,
- debhelper-compat (= 12), pycodestyle, python3-pycodestyle (>= 2.3.1), dh-python,
- help2man, python3-toml
+ debhelper-compat (= 13), pycodestyle, python3-pycodestyle (>= 2.9.1),
+ dh-python, help2man, python3-toml, python3-pip, python3-tomli
 Standards-Version: 4.2.1
 Homepage: https://github.com/hhatto/autopep8
 Vcs-Git: https://salsa.debian.org/python-team/packages/autopep8.git

## autopep8 2.0.1

=== debian/changelog ===
autopep8 (2.0.1-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/lower-pycodestyle.diff (no longer needed)
  * Bump debhelper from old 12 to 13.
  * Update SV to 4.6.2

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 02 Nov 2022 23:31:23 -0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Section: python
 Priority: optional
 Build-Depends: python3-setuptools, python3-all, dh-sequence-python3,
- debhelper-compat (= 13), pycodestyle, python3-pycodestyle (>= 2.9.1),
+ debhelper-compat (= 13), pycodestyle, python3-pycodestyle (>= 2.10.0),
  dh-python, help2man, python3-toml, python3-pip, python3-tomli
-Standards-Version: 4.2.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/hhatto/autopep8
 Vcs-Git: https://salsa.debian.org/python-team/packages/autopep8.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/autopep8

=== debian/watch ===
version=4
https://pypi.python.org/pypi/autopep8  .*/autopep8-(.*).tar.gz

## autopep8 2.0.2

=== debian/changelog ===
autopep8 (2.0.2-1) unstable; urgency=medium

  * Upload in unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 06 Jul 2023 21:48:37 +0200

autopep8 (2.0.2-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 10 Jun 2023 13:37:45 +0200

## autopep8 2.0.4

=== debian/changelog ===
autopep8 (2.0.4-2) unstable; urgency=medium

  * Team upload.
  * Patch: Python 3.12 support. (Closes: #1058198)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 23 Jan 2024 17:23:35 -0400

autopep8 (2.0.4-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 30 Aug 2023 15:04:43 +0200

=== debian/rules ===
#!/usr/bin/make -f
VERSION = $(shell dpkg-parsechangelog |  sed -rne "s,^Version: ([0-9.]+)(~|-)(.*),\1,p")
export PYBUILD_NAME=autopep8

%:
	dh $@ --buildsystem=pybuild

override_dh_installdocs:
	help2man --name=autopep8  --version-string=$(VERSION) "python3 autopep8.py" > debian/autopep8.1
	dh_installdocs

override_dh_clean:
	rm -f debian/*.1
	rm -rf build
	dh_clean

## autopep8 2.1.0

=== debian/changelog ===
autopep8 (2.1.0-2) unstable; urgency=medium

  * Team Upload
  * Remove dependency on 2to3. (Closes: #1071692)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 14 Jun 2024 17:38:52 +0200

autopep8 (2.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 29 Mar 2024 16:30:21 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Priority: optional
 Build-Depends: python3-setuptools, python3-all, dh-sequence-python3,
  debhelper-compat (= 13), pycodestyle, python3-pycodestyle (>= 2.10.0),
- dh-python, help2man, python3-toml, python3-pip, python3-tomli
+ dh-python, help2man, python3-toml, python3-pip, python3-tomli,
+ pybuild-plugin-pyproject
 Standards-Version: 4.6.2
 Homepage: https://github.com/hhatto/autopep8
 Vcs-Git: https://salsa.debian.org/python-team/packages/autopep8.git
@@ -15,7 +16,6 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, python3-pep8,
  python3-pkg-resources,
- python3-lib2to3
 Breaks: python-autopep8 (<< 1.4.4-2)
 Replaces: python-autopep8 (<< 1.4.4-2)
 Description: tool that automatically formats Python code to conform to PEP 8

## autopep8 2.3.1

=== debian/changelog ===
autopep8 (2.3.1-2) unstable; urgency=medium

  * Team upload.
  * Remove now-unused dependency on python3-pkg-resources (closes:
    #1083309).

 -- Colin Watson <cjwatson@debian.org>  Mon, 07 Oct 2024 13:13:33 +0100

autopep8 (2.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 06 Jul 2024 22:45:29 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
 Package: python3-autopep8
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, python3-pep8,
- python3-pkg-resources,
 Breaks: python-autopep8 (<< 1.4.4-2)
 Replaces: python-autopep8 (<< 1.4.4-2)
 Description: tool that automatically formats Python code to conform to PEP 8

## autopep8 2.3.2

=== Makefile ===
--- 
+++ 
@@ -43,6 +43,14 @@
 	@AUTOPEP8_COVERAGE=1 py.test -n4 --cov-config .pytest.coveragerc \
 		--cov-report term-missing --cov autopep8 test/test_autopep8.py
 	@rm .pytest.coveragerc .coverage
+
+test_ci:
+	pytest --cov-report xml --cov=autopep8
+	@${PYTHON} test/acid.py -aaa --experimental test/example.py
+	@${PYTHON} test/acid.py --pycodestyle= -aaa --compare-bytecode --experimental test/example.py
+	@${PYTHON} test/acid.py --pycodestyle= --aggressive --line-range 550 610 test/inspect_example.py
+	@${PYTHON} test/acid.py --pycodestyle= --line-range 289 925 test/vectors_example.py
+	@${PYTHON} test/test_suite.py
 
 coverage:
 	@coverage erase
@@ -119,8 +127,9 @@
 	@mut.py --disable-operator RIL -t autopep8 -u test.test_autopep8 -mc
 
 pypireg:
-	${PYTHON} setup.py register
-	${PYTHON} setup.py sdist upload
+	${PYTHON} -m pip install twine build
+	${PYTHON} -m build
+	${PYTHON} -m twine upload dist/*
 
 clean:
 	rm -rf .tmp.test.py temp *.pyc *egg-info dist build \
@@ -130,4 +139,4 @@
 .PHONY: \
 	all clean mutant pypireg test_basic test_unit \
 	benchmark coverage open_coverage readme test_diff \
-	check fasttest open_readme test test_fast
+	check fasttest open_readme test test_fast test_ci

=== debian/changelog ===
autopep8 (2.3.2-2) unstable; urgency=medium

  * Team upload.
  * Drop python3-toml & python3-tomli from build-dependencies

 -- Alexandre Detiste <tchet@debian.org>  Sat, 26 Jul 2025 01:14:20 +0200

autopep8 (2.3.2-1) unstable; urgency=medium

  * New upstream release
  * watch: use github

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 17 Jan 2025 13:40:02 +0100

autopep8 (2.3.1-3) unstable; urgency=medium

  * Team upload.
  * Trim d/rules
  * Set DPT as Maintainer per new Team Policy
  * Drop dependency on python3-pep8: it was replaced by pycodestyle

 -- Alexandre Detiste <tchet@debian.org>  Tue, 14 Jan 2025 21:31:34 +0100

=== debian/control ===
Source: autopep8
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Sylvestre Ledru <sylvestre@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 help2man,
 python3-all,
 python3-setuptools,
 python3-pycodestyle (>= 2.10.0),
 pybuild-plugin-pyproject,
 pycodestyle,
Standards-Version: 4.7.2
Homepage: https://github.com/hhatto/autopep8
Vcs-Git: https://salsa.debian.org/python-team/packages/autopep8.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/autopep8

Package: python3-autopep8
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: tool that automatically formats Python code to conform to PEP 8
 autopep8 automatically formats Python code to conform to the PEP 8 style
 guide. It uses the pep8 utility to determine what parts of the code needs to
 be formatted. autopep8 is capable of fixing most of the formatting issues that
 can be reported by pep8. This package is for Python3.

=== debian/rules ===
--- 
+++ 
@@ -5,11 +5,9 @@
 %:
 	dh $@ --buildsystem=pybuild
 
-override_dh_installdocs:
+execute_before_dh_installdocs:
 	help2man --name=autopep8  --version-string=$(VERSION) "python3 autopep8.py" > debian/autopep8.1
-	dh_installdocs
 
-override_dh_clean:
+execute_before_dh_clean:
 	rm -f debian/*.1
 	rm -rf build
-	dh_clean

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%autopep8-$1.tar.gz%" \
    https://github.com/hhatto/autopep8/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
